Current Month Usage

GET /teams/usage/current

Get your team's current month API usage and limits for each usage category, along with enabled feature flags and plan information.

TOKEN

Authentication

This endpoint requires an API token. You can learn more about how to get an API token from the authentication page.

URL

https://api.podengine.ai/api/v1/teams/usage/current

Code Example

API Specification

200

Success Response

PropertyTypeDescription
status
literal: OK

data
object

month
string ⓘ

Constraints:

regex

Current month in YYYY-MM format

plan
string

Current team plan tier

featureFlags
object

Enabled feature flags for the team

s3Integrationoptional
boolean

airtableIntegrationoptional
boolean

automatedSearchoptional
boolean

applyPageoptional
boolean

goHighLevelIntegrationoptional
boolean

aliases
array
of
object

Usage breakdown per category

alias
enum ⓘ

Allowed values

deepResearchRequestsdiarizationRequestsepisodeLookupsexportCountpodcastLookupssearchCounttranscriptDownloadCounttranscriptionRequests

The usage category identifier

label
string

Human-readable label for this usage category

used
number ⓘ

Constraints:

>= 0

Number of requests used this month

limitnullable
number ⓘ

Constraints:

>= 0

Monthly limit (null = unlimited, 0 = disabled)

totalUsed
number

Total requests used across all categories this month

projectUsageoptional
object

Monthly active project and guest profile usage

projects
object

used
number

limitnullable
number

guestProfiles
object

used
number

limitnullable
number